TestCase subclass: #TestDummy
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'AlgoNumerosComplejos-Test'!

!TestDummy methodsFor: 'tests' stamp: 'DS 4/22/2021 20:14'!
testTrivial
	|x y r angle|
	"(1,1)"
	
	x := 1.
	y := 1.
	
	r := ((1 ** 2) + (1 ** 2)) sqrt .	
	angle := (x / r) arcCos.
	
	self assert: r closeTo: 1.41 precision: 0.01.
	self assert: angle closeTo: 0.7853 precision: 0.01.
	
	self assert: ( r * (angle cos)) closeTo: 1 precision: 0.01.
	self assert: ( r * (angle sin)) closeTo: 1 precision: 0.01.! !


TestCase subclass: #TestNumber
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'AlgoNumerosComplejos-Test'!

!TestNumber methodsFor: 'tests' stamp: 'DS 4/22/2021 20:52'!
testNumero1y1EnCartesiano
	"arrange"
	| numero |
	numero := NumeroComplejo new.
	
	"act"
	numero parteReal: 1 parteImaginaria: 2. 
	
	"assert"
	self assert: (numero parteReal) closeTo: 1.
	self assert: (numero parteImaginaria) closeTo: 2.
	
	
	
	! !

!TestNumber methodsFor: 'tests' stamp: 'DS 4/22/2021 21:08'!
testNumero1y1EnRadianes
	"arrange"
	| numero |
	numero := NumeroComplejo new.
	
	"act"
	numero parteReal: 1 parteImaginaria: 1. 

	"assert"
	self assert: (numero modulo) closeTo: 1.41 precision: 0.01.
	self assert: (numero angulo) closeTo: 0.78 precision: 0.01.
	self assert: (numero parteReal) closeTo: 1.
	self assert: (numero parteImaginaria) closeTo: 1.
	
	
	! !

!TestNumber methodsFor: 'tests' stamp: 'DS 4/22/2021 21:18'!
testNumero1y1EnRadianesCaso2
	"arrange"
	| numero |
	numero := NumeroComplejo new.
	
	"act"
	numero parteReal: 3 parteImaginaria: 4. 

	"assert"
	self assert: (numero modulo) closeTo: 5 precision: 0.01.
	self assert: (numero angulo) closeTo: 0.92 precision: 0.01.
	self assert: (numero parteReal) closeTo: 3.
	self assert: (numero parteImaginaria) closeTo: 4.
	
	
	! !


TestCase subclass: #TestRomperEncapsulamiento
	instanceVariableNames: ''
	classVariableNames: ''
	package: 'AlgoNumerosComplejos-Test'!

!TestRomperEncapsulamiento methodsFor: 'tests' stamp: 'DS 4/22/2021 21:36'!
testAlumnosConPadronPar
	|alumnos amigoHuergo |
	alumnos := AlumnosConPadronPar new.
	
	amigoHuergo := Alumno new.
	amigoHuergo padron: 2.
	
	alumnos agregar: amigoHuergo.
	
	self assert: (alumnos cuantos) equals: 1.
	self assert: (amigoHuergo padron) equals: 2.
	
	"Aqui rompemos el encapsulamiento"
	amigoHuergo padron: 11.
	
	self assert: (alumnos cantidadDeAlumnos) equals: 1.
! !

!TestRomperEncapsulamiento methodsFor: 'tests' stamp: 'DS 4/22/2021 22:08'!
testAlumnosConPadronConZapatillas
	|alumnos amigoHuergo zapatilla |
	alumnos := AlumnosConPadronPar new.
	
	zapatilla := Zapatilla new.
	
	alumnos agregar: zapatilla.
	
	self assert: (alumnos cuantos) equals: 1.
	self assert: (zapatilla padron) equals: 0.
	
	"Aqui rompemos el encapsulamiento"
	zapatilla padron: 11.
	
	self assert: (alumnos cantidadDeAlumnos) equals: 1.
! !
